Pg 0.13.1 Released

pg version 0.13.1 has been released!

Pg is the Ruby interface to the {PostgreSQL
RDBMS}[http://www.postgresql.org/].

It works with {PostgreSQL 8.3 and later}[http://bit.ly/6AfPhm].

A small example usage:

#!/usr/bin/env ruby

require ‘pg’

Output a table of current connections to the DB

conn = PG.connect( dbname: ‘sales’ )
conn.exec( “SELECT * FROM pg_stat_activity” ) do |result|
puts " PID | User | Query"
result.each do |row|
puts " %7d | %-16s | %s " %
row.values_at(‘procpid’, ‘usename’, ‘current_query’)
end
end

Changes:

v0.13.1 [2012-02-12] Michael G. [email protected]

  • Made use of a finished PG::Connection raise a PG::Error instead of
    a fatal error (#110).
  • Added missing BSDL license file (#108)

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs